diff --git a/passerelle/apps/mdel_ddpacs/abstract.py b/passerelle/apps/mdel_ddpacs/abstract.py
index 841bb78d..927bc49b 100644
--- a/passerelle/apps/mdel_ddpacs/abstract.py
+++ b/passerelle/apps/mdel_ddpacs/abstract.py
@@ -12,37 +12,36 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from __future__ import unicode_literals
 
-from collections import namedtuple
 import inspect
 import os
 import re
 import xml.etree.ElementTree as ET
 import zipfile
+from collections import namedtuple
 
 from django.contrib.postgres.fields import JSONField
-from django.db import models, IntegrityError, transaction
-from django.urls import reverse
+from django.db import IntegrityError, models, transaction
 from django.http import HttpResponse
+from django.urls import reverse
+from django.utils import functional, six
 from django.utils.translation import ugettext_lazy as _
-from django.utils import six, functional
 
 from passerelle.base.models import BaseResource, SkipJob
+from passerelle.utils import sftp, xml
 from passerelle.utils.api import endpoint
+from passerelle.utils.conversion import exception_to_text
 from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.zip import ZipTemplate
-from passerelle.utils.conversion import exception_to_text
-
-from passerelle.utils import xml, sftp
 
 '''Base abstract models for implementing MDEL compatible requests.
 '''
 
 MDELStatus = namedtuple('MDELStatus', ['code', 'slug', 'label'])
 
 MDEL_STATUSES = map(
     lambda t: MDELStatus(*t),
diff --git a/passerelle/apps/mobyt/migrations/0001_initial.py b/passerelle/apps/mobyt/migrations/0001_initial.py
index 1ce4cfd9..ea43e75e 100644
--- a/passerelle/apps/mobyt/migrations/0001_initial.py
+++ b/passerelle/apps/mobyt/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/mobyt/migrations/0002_mobytsmsgateway_log_level.py b/passerelle/apps/mobyt/migrations/0002_mobytsmsgateway_log_level.py
index 7d59cf79..0a53fbb9 100644
--- a/passerelle/apps/mobyt/migrations/0002_mobytsmsgateway_log_level.py
+++ b/passerelle/apps/mobyt/migrations/0002_mobytsmsgateway_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('mobyt', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/mobyt/migrations/0003_auto_20160316_0910.py b/passerelle/apps/mobyt/migrations/0003_auto_20160316_0910.py
index e61f314f..4d2e0f0e 100644
--- a/passerelle/apps/mobyt/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/mobyt/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('mobyt', '0002_mobytsmsgateway_log_level'),
     ]
 
diff --git a/passerelle/apps/mobyt/migrations/0004_auto_20160407_0456.py b/passerelle/apps/mobyt/migrations/0004_auto_20160407_0456.py
index 6c895f53..e62e52b3 100644
--- a/passerelle/apps/mobyt/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/mobyt/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('mobyt', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/mobyt/migrations/0005_mobytsmsgateway_default_trunk_prefix.py b/passerelle/apps/mobyt/migrations/0005_mobytsmsgateway_default_trunk_prefix.py
index bba773dc..01b9f1c4 100644
--- a/passerelle/apps/mobyt/migrations/0005_mobytsmsgateway_default_trunk_prefix.py
+++ b/passerelle/apps/mobyt/migrations/0005_mobytsmsgateway_default_trunk_prefix.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('mobyt', '0004_auto_20160407_0456'),
     ]
 
diff --git a/passerelle/apps/opendatasoft/models.py b/passerelle/apps/opendatasoft/models.py
index fb5e4d47..a9fd3473 100644
--- a/passerelle/apps/opendatasoft/models.py
+++ b/passerelle/apps/opendatasoft/models.py
@@ -15,19 +15,19 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.db import models
 from django.shortcuts import get_object_or_404
 from django.urls import reverse
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.translation import ugettext_lazy as _
 
-from passerelle.utils.templates import render_to_string, validate_template
-from passerelle.base.models import BaseResource, BaseQuery
+from passerelle.base.models import BaseQuery, BaseResource
 from passerelle.utils.api import endpoint
+from passerelle.utils.templates import render_to_string, validate_template
 
 
 class OpenDataSoft(BaseResource):
     service_url = models.CharField(
         _('Site URL'),
         max_length=256,
         blank=False,
         help_text=_('URL without ending "api/records/1.0/search/"'),
diff --git a/passerelle/apps/opendatasoft/views.py b/passerelle/apps/opendatasoft/views.py
index a2562839..88adf13d 100644
--- a/passerelle/apps/opendatasoft/views.py
+++ b/passerelle/apps/opendatasoft/views.py
@@ -9,17 +9,17 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.views.generic import UpdateView, CreateView, DeleteView
+from django.views.generic import CreateView, DeleteView, UpdateView
 
 from passerelle.base.mixins import ResourceChildViewMixin
 
 from . import models
 from .forms import QueryForm
 
 
 class QueryNew(ResourceChildViewMixin, CreateView):
diff --git a/passerelle/apps/opengis/models.py b/passerelle/apps/opengis/models.py
index 83c75fb4..e09c830d 100644
--- a/passerelle/apps/opengis/models.py
+++ b/passerelle/apps/opengis/models.py
@@ -13,32 +13,30 @@
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import html
 import math
 import xml.etree.ElementTree as ET
 
-import six
-
 import pyproj
-
+import six
 from django.contrib.postgres.fields import JSONField
 from django.core.cache import cache
 from django.db import models, transaction
 from django.http import HttpResponse
 from django.shortcuts import get_object_or_404
 from django.template import Context, Template
 from django.urls import reverse
 from django.utils import timezone
 from django.utils.text import slugify
 from django.utils.translation import ugettext_lazy as _
 
-from passerelle.base.models import BaseResource, BaseQuery
+from passerelle.base.models import BaseQuery, BaseResource
 from passerelle.utils.api import endpoint
 from passerelle.utils.conversion import num2deg, simplify
 from passerelle.utils.jsonresponse import APIError
 
 
 def build_dict_from_xml(elem):
     d = {}
     for child in elem.find('.'):
diff --git a/passerelle/apps/opengis/views.py b/passerelle/apps/opengis/views.py
index da7c402f..7113ed2d 100644
--- a/passerelle/apps/opengis/views.py
+++ b/passerelle/apps/opengis/views.py
@@ -9,17 +9,17 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.views.generic import UpdateView, CreateView, DeleteView
+from django.views.generic import CreateView, DeleteView, UpdateView
 
 from passerelle.base.mixins import ResourceChildViewMixin
 
 from . import models
 from .forms import QueryForm
 
 
 class QueryNew(ResourceChildViewMixin, CreateView):
diff --git a/passerelle/apps/orange/migrations/0001_initial.py b/passerelle/apps/orange/migrations/0001_initial.py
index a68c03a4..a17cea26 100644
--- a/passerelle/apps/orange/migrations/0001_initial.py
+++ b/passerelle/apps/orange/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0002_auto_20151009_0326'),
     ]
 
diff --git a/passerelle/apps/orange/migrations/0002_orangesmsgateway_log_level.py b/passerelle/apps/orange/migrations/0002_orangesmsgateway_log_level.py
index 34bbc283..4a2bfbd0 100644
--- a/passerelle/apps/orange/migrations/0002_orangesmsgateway_log_level.py
+++ b/passerelle/apps/orange/migrations/0002_orangesmsgateway_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('orange', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/orange/migrations/0003_auto_20160316_0910.py b/passerelle/apps/orange/migrations/0003_auto_20160316_0910.py
index d18b723e..059ba006 100644
--- a/passerelle/apps/orange/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/orange/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('orange', '0002_orangesmsgateway_log_level'),
     ]
 
diff --git a/passerelle/apps/orange/migrations/0004_auto_20160407_0456.py b/passerelle/apps/orange/migrations/0004_auto_20160407_0456.py
index a3f33837..4c2f34dd 100644
--- a/passerelle/apps/orange/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/orange/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('orange', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/ovh/migrations/0001_initial.py b/passerelle/apps/ovh/migrations/0001_initial.py
index 2768677f..5895e56e 100644
--- a/passerelle/apps/ovh/migrations/0001_initial.py
+++ b/passerelle/apps/ovh/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/ovh/migrations/0002_ovhsmsgateway_log_level.py b/passerelle/apps/ovh/migrations/0002_ovhsmsgateway_log_level.py
index 939359dc..59452a77 100644
--- a/passerelle/apps/ovh/migrations/0002_ovhsmsgateway_log_level.py
+++ b/passerelle/apps/ovh/migrations/0002_ovhsmsgateway_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('ovh', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/ovh/migrations/0003_auto_20160316_0910.py b/passerelle/apps/ovh/migrations/0003_auto_20160316_0910.py
index b3962583..a1bcbb0c 100644
--- a/passerelle/apps/ovh/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/ovh/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('ovh', '0002_ovhsmsgateway_log_level'),
     ]
 
diff --git a/passerelle/apps/ovh/migrations/0004_auto_20160407_0456.py b/passerelle/apps/ovh/migrations/0004_auto_20160407_0456.py
index 396d74c0..75848b21 100644
--- a/passerelle/apps/ovh/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/ovh/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('ovh', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/ovh/migrations/0005_ovhsmsgateway_default_trunk_prefix.py b/passerelle/apps/ovh/migrations/0005_ovhsmsgateway_default_trunk_prefix.py
index 1d2fb8c7..9a2f8edd 100644
--- a/passerelle/apps/ovh/migrations/0005_ovhsmsgateway_default_trunk_prefix.py
+++ b/passerelle/apps/ovh/migrations/0005_ovhsmsgateway_default_trunk_prefix.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('ovh', '0004_auto_20160407_0456'),
     ]
 
diff --git a/passerelle/apps/oxyd/migrations/0001_initial.py b/passerelle/apps/oxyd/migrations/0001_initial.py
index 4995ed70..3c34b2f3 100644
--- a/passerelle/apps/oxyd/migrations/0001_initial.py
+++ b/passerelle/apps/oxyd/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/oxyd/migrations/0002_oxydsmsgateway_log_level.py b/passerelle/apps/oxyd/migrations/0002_oxydsmsgateway_log_level.py
index 8872889c..22a38fda 100644
--- a/passerelle/apps/oxyd/migrations/0002_oxydsmsgateway_log_level.py
+++ b/passerelle/apps/oxyd/migrations/0002_oxydsmsgateway_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('oxyd', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/oxyd/migrations/0003_auto_20160316_0910.py b/passerelle/apps/oxyd/migrations/0003_auto_20160316_0910.py
index 93125b97..d458c229 100644
--- a/passerelle/apps/oxyd/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/oxyd/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('oxyd', '0002_oxydsmsgateway_log_level'),
     ]
 
diff --git a/passerelle/apps/oxyd/migrations/0004_auto_20160407_0456.py b/passerelle/apps/oxyd/migrations/0004_auto_20160407_0456.py
index b1be187f..178af43b 100644
--- a/passerelle/apps/oxyd/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/oxyd/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('oxyd', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/oxyd/migrations/0005_oxydsmsgateway_default_trunk_prefix.py b/passerelle/apps/oxyd/migrations/0005_oxydsmsgateway_default_trunk_prefix.py
index 4154b5c7..c996cf85 100644
--- a/passerelle/apps/oxyd/migrations/0005_oxydsmsgateway_default_trunk_prefix.py
+++ b/passerelle/apps/oxyd/migrations/0005_oxydsmsgateway_default_trunk_prefix.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('oxyd', '0004_auto_20160407_0456'),
     ]
 
diff --git a/passerelle/apps/phonecalls/models.py b/passerelle/apps/phonecalls/models.py
index 0fb98484..17ddbe17 100644
--- a/passerelle/apps/phonecalls/models.py
+++ b/passerelle/apps/phonecalls/models.py
@@ -11,21 +11,21 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.contrib.postgres.fields import JSONField
 from django.db import models
-from django.utils.http import urlencode
-from django.utils.timezone import now, timedelta, make_naive
-from django.utils.translation import ugettext_lazy as _
 from django.http import HttpResponseRedirect
 from django.shortcuts import render
+from django.utils.http import urlencode
+from django.utils.timezone import make_naive, now, timedelta
+from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.utils.api import endpoint
 
 
 class PhoneCalls(BaseResource):
     category = _('Telephony')
 
diff --git a/passerelle/apps/sp_fr/fields.py b/passerelle/apps/sp_fr/fields.py
index 625cebdd..2a482c3e 100644
--- a/passerelle/apps/sp_fr/fields.py
+++ b/passerelle/apps/sp_fr/fields.py
@@ -9,19 +9,19 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.core.exceptions import ValidationError
-from django.template import engines, TemplateSyntaxError
 from django import forms
+from django.core.exceptions import ValidationError
+from django.template import TemplateSyntaxError, engines
 
 
 def validate_django_template(value):
     try:
         engines['django'].from_string(value)
     except TemplateSyntaxError as e:
         raise ValidationError('invalid template %s' % e)
 
diff --git a/passerelle/apps/sp_fr/forms.py b/passerelle/apps/sp_fr/forms.py
index e1402369..932409c9 100644
--- a/passerelle/apps/sp_fr/forms.py
+++ b/passerelle/apps/sp_fr/forms.py
@@ -11,17 +11,17 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django import forms
 
-from . import models, fields
+from . import fields, models
 
 
 class MappingForm(forms.ModelForm):
     def __init__(self, *args, **kwargs):
         super(MappingForm, self).__init__(*args, **kwargs)
         if self.instance.procedure and self.instance and self.instance.formdef:
             choices = [('', '--------')] + [(v, v) for v in self.instance.variables]
             for i, field in enumerate(self.schema_fields()):
diff --git a/passerelle/apps/sp_fr/models.py b/passerelle/apps/sp_fr/models.py
index 673ee917..c9a80ebb 100644
--- a/passerelle/apps/sp_fr/models.py
+++ b/passerelle/apps/sp_fr/models.py
@@ -10,40 +10,40 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import re
+import base64
+import collections
+import datetime
 import os
+import re
 import stat
 import zipfile
-import collections
-import base64
-import datetime
-
-from lxml import etree as ET
 
 from django.contrib.postgres.fields import JSONField
-from django.urls import reverse
 from django.core.files import File
 from django.db import models, transaction
 from django.template import engines
+from django.urls import reverse
 from django.utils import six
-from django.utils.translation import ugettext_lazy as _, ugettext
+from django.utils.translation import ugettext
+from django.utils.translation import ugettext_lazy as _
+from lxml import etree as ET
 
 from passerelle.base.models import BaseResource
 from passerelle.utils.api import endpoint
+from passerelle.utils.conversion import normalize
 from passerelle.utils.sftp import SFTPField
 from passerelle.utils.wcs import FormDefField, get_wcs_choices
 from passerelle.utils.xml import text_content
-from passerelle.utils.conversion import normalize
 
 from .xsd import Schema
 
 MAX_REQUESTS_PER_ITERATION = 200
 
 PROCEDURE_DOC = 'DOC'
 PROCEDURE_RCO = 'recensementCitoyen'
 PROCEDURE_DDPACS = 'depotDossierPACS'
diff --git a/passerelle/apps/sp_fr/views.py b/passerelle/apps/sp_fr/views.py
index 85da27f4..ee6927a9 100644
--- a/passerelle/apps/sp_fr/views.py
+++ b/passerelle/apps/sp_fr/views.py
@@ -9,23 +9,23 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.views.generic import UpdateView, CreateView, DeleteView
-from django.shortcuts import get_object_or_404
 from django.http import HttpResponseRedirect
+from django.shortcuts import get_object_or_404
+from django.views.generic import CreateView, DeleteView, UpdateView
 
 from passerelle.base.mixins import ResourceChildViewMixin
 
-from . import models, forms
+from . import forms, models
 
 
 class StayIfChanged(object):
     has_changed = False
 
     def form_valid(self, form):
         if set(form.changed_data) & set(['procedure', 'formdef']):
             self.has_changed = True
diff --git a/passerelle/base/admin.py b/passerelle/base/admin.py
index b52fec82..e4c851bb 100644
--- a/passerelle/base/admin.py
+++ b/passerelle/base/admin.py
@@ -10,22 +10,22 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.contrib import admin
-from django.urls import reverse
 from django.shortcuts import redirect
+from django.urls import reverse
 from django.urls.exceptions import NoReverseMatch
 from django.views.decorators.cache import never_cache
 
-from .models import ApiUser, AccessRight
+from .models import AccessRight, ApiUser
 
 
 @never_cache
 def login(request, *args, **kwargs):
     try:
         auth_login_url = reverse('auth_login')
     except NoReverseMatch:
         return admin.site.orig_login(request, *args, **kwargs)
diff --git a/passerelle/base/forms.py b/passerelle/base/forms.py
index 5b94eaec..0360eded 100644
--- a/passerelle/base/forms.py
+++ b/passerelle/base/forms.py
@@ -1,12 +1,12 @@
 from django import forms
 from django.utils.translation import ugettext_lazy as _
 
-from .models import ApiUser, AccessRight, AvailabilityParameters
+from .models import AccessRight, ApiUser, AvailabilityParameters
 
 
 class ApiUserForm(forms.ModelForm):
     class Meta:
         model = ApiUser
         exclude = []
 
 
diff --git a/passerelle/base/migrations/0001_initial.py b/passerelle/base/migrations/0001_initial.py
index 7160fb49..09ff8a79 100644
--- a/passerelle/base/migrations/0001_initial.py
+++ b/passerelle/base/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('contenttypes', '0001_initial'),
     ]
 
diff --git a/passerelle/base/migrations/0002_auto_20151009_0326.py b/passerelle/base/migrations/0002_auto_20151009_0326.py
index 4386433a..979da986 100644
--- a/passerelle/base/migrations/0002_auto_20151009_0326.py
+++ b/passerelle/base/migrations/0002_auto_20151009_0326.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/base/migrations/0003_auto_20170116_1656.py b/passerelle/base/migrations/0003_auto_20170116_1656.py
index 7f8e8ba7..0cc2c7a4 100644
--- a/passerelle/base/migrations/0003_auto_20170116_1656.py
+++ b/passerelle/base/migrations/0003_auto_20170116_1656.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0002_auto_20151009_0326'),
     ]
 
diff --git a/passerelle/base/migrations/0004_auto_20170117_0326.py b/passerelle/base/migrations/0004_auto_20170117_0326.py
index 9c4d4281..acefbed7 100644
--- a/passerelle/base/migrations/0004_auto_20170117_0326.py
+++ b/passerelle/base/migrations/0004_auto_20170117_0326.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0003_auto_20170116_1656'),
     ]
 
diff --git a/passerelle/base/models.py b/passerelle/base/models.py
index e54a1f1d..fe676386 100644
--- a/passerelle/base/models.py
+++ b/passerelle/base/models.py
@@ -1,50 +1,48 @@
+import base64
 import collections
 import copy
 import datetime
 import inspect
+import itertools
 import logging
 import os
 import re
 import sys
 import traceback
-import base64
-import itertools
 import uuid
 
 from django import VERSION
 from django.apps import apps
 from django.conf import settings
-from django.contrib.postgres.fields import JSONField, ArrayField
-from django.core.exceptions import ValidationError, PermissionDenied
-from django.urls import reverse
+from django.contrib.contenttypes import fields
+from django.contrib.contenttypes.models import ContentType
+from django.contrib.postgres.fields import ArrayField, JSONField
+from django.core.exceptions import PermissionDenied, ValidationError
+from django.core.files.base import ContentFile
 from django.db import connection, models, transaction
 from django.db.models import Q
 from django.forms.models import modelform_factory
 from django.forms.widgets import ClearableFileInput
 from django.test import override_settings
-from django.utils.text import slugify
-from django.utils import timezone, six
+from django.urls import reverse
+from django.utils import six, timezone
 from django.utils.encoding import force_text
 from django.utils.six.moves.urllib.parse import urlparse
-from django.utils.translation import ugettext_lazy as _
+from django.utils.text import slugify
 from django.utils.timezone import now
-from django.core.files.base import ContentFile
-
-from django.contrib.contenttypes.models import ContentType
-from django.contrib.contenttypes import fields
-
+from django.utils.translation import ugettext_lazy as _
 from model_utils.managers import InheritanceManager as ModelUtilsInheritanceManager
 
 import passerelle
 from passerelle.forms import GenericConnectorForm
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
-from passerelle.utils.sftp import SFTPField, SFTP
+from passerelle.utils.sftp import SFTP, SFTPField
 
 KEYTYPE_CHOICES = (
     ('API', _('API Key')),
     ('SIGN', _('HMAC Signature')),
 )
 
 LOGLEVEL_CHOICES = (
     ('DEBUG', _('Debug')),
diff --git a/passerelle/base/templatetags/passerelle.py b/passerelle/base/templatetags/passerelle.py
index 38207f53..10c9f715 100644
--- a/passerelle/base/templatetags/passerelle.py
+++ b/passerelle/base/templatetags/passerelle.py
@@ -17,24 +17,25 @@
 
 from __future__ import absolute_import, unicode_literals
 
 import collections
 import json
 import re
 
 from django import template
-from django.utils.html import mark_safe, format_html
-from django.utils.translation import ugettext as _
-from django.contrib.contenttypes.models import ContentType
 from django.contrib.auth import get_permission_codename
-from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
+from django.contrib.contenttypes.models import ContentType
+from django.core.paginator import EmptyPage, PageNotAnInteger, Paginator
 from django.template.defaultfilters import stringfilter
+from django.utils.html import format_html, mark_safe
+from django.utils.translation import ugettext as _
 
 from passerelle.utils import get_trusted_services
+
 from ..models import AccessRight, ResourceLog
 
 register = template.Library()
 
 
 @register.inclusion_tag('passerelle/includes/access-rights-table.html', takes_context=True)
 def access_rights_table(context, resource, permission):
     resource_type = ContentType.objects.get_for_model(resource)
